mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

The meaning of changed in the .NET Framework version 2.0. The loader now shares resources across application domains only for assemblies that have been added to the global assembly cache.

If custom code access security policy is set for the , by using the property, and the is created using the flag, the effect is the same as specifying the flag; that is, only assemblies in the GAC are shared. When this occurs, the loader does not throw an exception and the application does not experience the performance gains associated with the flag.

For more information on assembly sharing and domain-neutral assembly loading, see Application Domains and Assemblies.

An enumeration used with the class to specify loader optimizations for an executable.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.LoaderOptimization DisallowBindings To be added.

  Ignored by the common language runtime.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.LoaderOptimization DomainMask To be added.

  Do not use. This mask selects the domain-related values, screening out the unused flag.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.LoaderOptimization To be added

  Indicates that the application will probably have many domains that use the same code, and the loader must share maximal internal resources across application domains.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.LoaderOptimization To be added

  Indicates that the application will probably host unique code in multiple domains, and the loader must share resources across application domains only for globally available (strong-named) assemblies that have been added to the global assembly cache.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.LoaderOptimization To be added

  Indicates that no optimizations for sharing internal resources are specified. If the default domain or hosting interface specified an optimization, then the loader uses that; otherwise, the loader uses .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.LoaderOptimization To be added

  Indicates that the application will probably have a single domain, and loader must not share internal resources across application domains.